<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="im.zhaojun.system.mapper.AlarmMapper">


    <sql id="Base_Column_List">
       id,
        type,
        video_id,
        ts,
        incident_type,
        img_urls,
        video_record_url,
        x,
        y,
        width,
        height,
        img_base64
    </sql>

    <insert id="insert" parameterType="im.zhaojun.system.model.Alarm">
        insert into alarm (id,type,video_id,ts,incident_type,img_urls,
        video_record_url,x,y,width,height,img_base64)
        values(#{id},#{type},#{videoid},#{ts},#{incident_type},#{img_urls},
        #{video_record_url},#{x},#{y},#{width},#{height},#{img_base64})
    </insert>

</mapper>